Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JComponent

    java.lang.Object
      charva.awt.Component
          charvax.swing.JComponent

Direct Known Subclasses:
  AbstractButton, JComboBox, JFileChooser, JLabel, JList, JProgressBar, JScrollBar, JTable, JTextComponent

public abstract class JComponent
extends Component

The base class for charva.swing components. JComponent provides a border property that implicitly defines the component's insets. Note that JComponent is a subclass of Component, not of Container (whereas java.swing.JComponent is a subclass of java.awt.Container).

Field Summary
`protected Border` | `_border`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JComponent()`

Method Summary
`void` | `draw()` Draws the border of the component (if there is one).
`Border` | `getBorder()`
`Insets` | `getInsets()`
`void` | `setBorder(Border border_)`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, debug, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getHeight, getLocation, getLocationOnScreen, getName, getParent, getSize, getWidth, hasFocus, hide, invalidate, isDisplayed, isEnabled, isFocusTraversable, isTotallyObscured, isValid, isVisible, minimumSize, processEvent, processFocusEvent, processKeyEvent, processMouseEvent, repaint, requestFocus, requestSync, setBackground, setBounds, setBounds, setBounds, setEnabled, setForeground, setLocation, setLocation, setName, setParent, setVisible, show, validate, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _border

    protected Border _border

Constructor Detail

### JComponent

    public JComponent()

Method Detail

### setBorder

    public void setBorder(Border border_)

### getBorder

    public Border getBorder()

### getInsets

    public Insets getInsets()

### draw

    public void draw()

  Draws the border of the component (if there is one).

  Specified by:
    `draw` in class `Component`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD